Script installation not working

Discussion in 'Free Hosting' started by merabix1, Aug 10, 2018 at 11:01 PM.

  1. merabix1

    merabix1 New Member

    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Hello, installer index.php not working, error: Warning: Creating default object from empty value in /home/forumix2/public_html/install/index.php on line 1422

    please help me
     

    Attached Files:

  2. rmsx10ho

    rmsx10ho Member

    Messages:
    111
    Likes Received:
    8
    Trophy Points:
    18
    Looks like you're trying to manually install 'INVISION POWER BOARD INSTALLER v2.0'

    Have you manually created a data base yet?

    Why not do the install automatically from cPanel?

    Auto installer will create a data base and all the important things that seem to be missing so far.

    edit: seems INVISION isn't available in cPanel
     
  3. rmsx10ho

    rmsx10ho Member

    Messages:
    111
    Likes Received:
    8
    Trophy Points:
    18
    The supposed error on line 1422

    I'm not sure about that :confused:
     
  4. merabix1

    merabix1 New Member

    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
  5. rmsx10ho

    rmsx10ho Member

    Messages:
    111
    Likes Received:
    8
    Trophy Points:
    18
    I'm not an admin, nor have I used that board before, so I'm not going to edit that file.

    Have you installed a data base yet?

    Without the data base info ... data base name, user, password (DON'T REVEAL THAT HERE), no one will be able to do anything.
     
    Last edited: Aug 10, 2018 at 11:37 PM
  6. merabix1

    merabix1 New Member

    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    no, not installed, next step in installer have this error

    my domain is http://ფორუმი.გე parked domain
     
  7. rmsx10ho

    rmsx10ho Member

    Messages:
    111
    Likes Received:
    8
    Trophy Points:
    18
    The next step won't create a data base (that has to be done in cPanel)
    but it would ask for an already created data base and it's details.

    Cart before the horse.

    I'd create a data base (in cPanel) first.
    Do you know how to do that?
     
  8. merabix1

    merabix1 New Member

    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    I do not know how to do it, can you help me?
    please give me table.sql file and conf_global.php ready
     

    Attached Files:

  9. merabix1

    merabix1 New Member

    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Invision Power Board 2.0.0

    **Link Nuked by Livewire**
     
    Last edited by a moderator: Aug 11, 2018 at 12:37 AM
  10. rmsx10ho

    rmsx10ho Member

    Messages:
    111
    Likes Received:
    8
    Trophy Points:
    18
    Sorry, that's a full web master course. I'm here to help with issues related to the web host, not third party apps not offered (for some reason) in the web hosts cPanel installer.

    Does it have to be INVISION POWER BOARD?
    Their help forum is https://invisioncommunity.com/forums/

    If I was as a novice, I'd chose an auto installed forum (I use SMF) board from cPanel.
     
  11. merabix1

    merabix1 New Member

    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    I have georgian language pack for INVISION POWER BOARD, georgian language for SMF i do not have
     
  12. merabix1

    merabix1 New Member

    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Need
    Warning: Creating default object from empty value in /home/forumix2/public_html/install/index.php on line 1422
    correct error in install index.php
     
  13. rmsx10ho

    rmsx10ho Member

    Messages:
    111
    Likes Received:
    8
    Trophy Points:
    18
    http://ფორუმი.გე/install/index.php

    What version of PHP are you running?
    As you can see, that page wants a SQL database BEFORE the install.
    You have to first do that manually in cPanel.
     
  14. rmsx10ho

    rmsx10ho Member

    Messages:
    111
    Likes Received:
    8
    Trophy Points:
    18
  15. merabix1

    merabix1 New Member

    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    I do not know
     
  16. rmsx10ho

    rmsx10ho Member

    Messages:
    111
    Likes Received:
    8
    Trophy Points:
    18
    update: PHP version should be OK, as the lowest here as 5.4

    You have no database. You won't get off page 2 until you have the details for one.

    I'd do it for you but my Australian IP won't work on your account.

    Here's a database how to video
     
    Last edited: Aug 11, 2018 at 12:45 AM
  17. Livewire

    Livewire Abuse Compliance Officer Staff Member

    Messages:
    18,151
    Likes Received:
    214
    Trophy Points:
    63
    Just a quick FYI on this, Invision Power Board frowns on users redistributing the core installers without their express written permission. I have erased your download link for IPB2.0.0 as a result; next time we would be forced to take stronger measures.

    I'm unfamiliar with installing IPB unfortunately so I can't do much else there to help, but I can confirm your account is currently set to utilize PHP 5.5.


    Edit: Also worth noting that IPB 2.0.0 is 2 major revisions and a ton of minor revisions out of date; there's a good chance the error in question is being caused by PHP having made changes to how it operates since it is several versions (including 1 major) higher than it requires; if you're unable to resolve the error you may need to contact IPB for their help in repairing the error, assuming they still support that version.

    Edit 2: After digging in further, IPB 2.0.0 is 14 years old, so getting help from IPB is probably out of the picture.
     
    Last edited: Aug 11, 2018 at 12:46 AM
  18. rmsx10ho

    rmsx10ho Member

    Messages:
    111
    Likes Received:
    8
    Trophy Points:
    18
    Howdy,

    He'd never got that far as Page 2 http://xn--todffmpd.xn--node/install/index.php?a=1 won't proceed until database details (which he doesn't have) are entered. :)

    I'm googling other auto install forums offered from the X10 cPanel that will run with Georgian language packs. ;)
     
  19. rmsx10ho

    rmsx10ho Member

    Messages:
    111
    Likes Received:
    8
    Trophy Points:
    18
    Took a while googling each forum app listed in the X10 cPanel auto install section..that has Georgian support.

    merabix1, miniBB supports your language .. and it can be auto installed from X10's cPanel (creates the database for you)

    Maybe less headache?

    http://www.minibb.com/download.html#language
     
    Last edited: Aug 11, 2018 at 1:27 AM
  20. Livewire

    Livewire Abuse Compliance Officer Staff Member

    Messages:
    18,151
    Likes Received:
    214
    Trophy Points:
    63
    I blame it on the Warning, I saw that and assumed it was an error generated because of a function change :) He's definitely gunna be better off with a different forum though; with it being 14 years old and no current support provided, it's pretty much guaranteed to be hackable/exploitable and will likely run into numerous errors due to differences in PHP 4 vs 5.5.
     

Share This Page